Classes | Public Member Functions | Public Attributes | Friends | List of all members
StarWriterStruct::Dictionary Struct Reference

structure to store a dictionary in a text zone More...

`#include <StarWriterStruct.hxx>`

## Classes
struct | Data
| a data of a Dictionary More...

## Public Member Functions
| Dictionary ()
| constructor
bool | read (StarZone &zone)
| try to read a dictionary: 'j'

## Public Attributes
std::vector< Data > | m_dataList
| the list of data

## Friends
std::ostream & | operator<< (std::ostream &o, Dictionary const &dictionary)
| operator<<

## Detailed Description

structure to store a dictionary in a text zone

## Constructor & Destructor Documentation

## ◆ Dictionary()

StarWriterStruct::Dictionary::Dictionary | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ read()

bool StarWriterStruct::Dictionary::read | ( | StarZone & | zone | ) |

try to read a dictionary: 'j'

Referenced by StarObjectText::readWriterDocument().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Dictionary const & | dictionary )
| friend

operator<<

## Member Data Documentation

## ◆ m_dataList

std::vector<Data> StarWriterStruct::Dictionary::m_dataList

the list of data

Referenced by read().

The documentation for this struct was generated from the following files:

- StarWriterStruct.hxx
- StarWriterStruct.cxx